GNU bug report logs - #43580
27.1.50; Multiple path resolutions in ~/.emacs.d/projects for the same project

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj@HIDDEN>; dated Wed, 23 Sep 2020 16:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 29 Sep 2020 15:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 11:40:35 2020
Received: from localhost ([127.0.0.1]:56951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNHk3-0005Fb-FM
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 11:40:35 -0400
Received: from mail-pf1-f175.google.com ([209.85.210.175]:42588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kNHjy-0005FI-9s
 for 43580 <at> debbugs.gnu.org; Tue, 29 Sep 2020 11:40:33 -0400
Received: by mail-pf1-f175.google.com with SMTP id d6so4915406pfn.9
 for <43580 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 08:40:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=UuheChrcTsTcV1LvOGCJkCsDuxX+o+Qk2QhMKwq8iaA=;
 b=eNflUW5/NZSXZ+5mEBrnudscWrq1mGK9m0djZJ3gUrtxA8YrJhzfqOY2sr8wh9BokJ
 goTwRURosjlViAeR1V3KQj9EP8mUIVbViReFwXNqRXuPESnlTFzZ3bFxHB8lmTFM5y1g
 YDtVbvdoqIu34YZ7w27FcMe8DtKLptCSFH06nKWZ5YdaF92o3WByC/T9ffnjALSl3bXQ
 8e6NVet+KWoySf977QUFf3zeM5V1I9nRtrIvS9glnHeLqN4CbCen/uwnQwUY913htvEp
 uh9aEFLTQcdNZC8+IOlYiPy81tnk4p6nWANpmydg+Bu4SrIJt14GMIvOIz0XH7PuWLtv
 HgQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=UuheChrcTsTcV1LvOGCJkCsDuxX+o+Qk2QhMKwq8iaA=;
 b=SYBzT3r+aYt1QgHF0wDkz7dQh8Lo06WWYDV9XprYGSYPgB6fnUIIhtzTQh+eaPNfZU
 Qr8rDd+3Nr4xAaVbBzzDWAWm2cLXkatjaHIOo50Vg+r3EJ/hjzb0sPTToAOmAXjytwL3
 8NsgdrAPDU2SOIwhhd/giLWWtAYzgR/GQmnpEMjzgz5SRcegdMkqTQe+b6T/ciQY00IC
 NQ6x3lvFF6s9apd0x1TxZ1wUPRlv6TmfRwFB8wrlMnxqZSgvlhemBJKRdShcfvwCPheU
 bw6x9yrc5MJoyo0qX1ic5kyCfWxSv3YkeEdoVNkqeZUN8hTmJz1ycKl95NPYkQXGAe87
 uEBA==
X-Gm-Message-State: AOAM532U3SS5j/WyUDc4jEhfM4VUwuO1oxiLC+rWfmHqE8DKMMIPUqm0
 dfjnvRxmwHGNDfuWo2FbB1uIUq7KU9uqhXDk
X-Google-Smtp-Source: ABdhPJw9SP1+afSCOaKD2rnlViVhDZL2hwX0NlYIy0Yi0D26FXr9SNvnSJf169Bc86CNky+4nBwBaA==
X-Received: by 2002:a17:902:ec02:b029:d1:fc2b:fe95 with SMTP id
 l2-20020a170902ec02b02900d1fc2bfe95mr5443365pld.79.1601394024031; 
 Tue, 29 Sep 2020 08:40:24 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:dd79:de50:ad9b:6f65])
 by smtp.gmail.com with ESMTPSA id j19sm6132728pfe.108.2020.09.29.08.40.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 29 Sep 2020 08:40:23 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
Organization: Code Is Great Foundation
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
 <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
 <m236347mja.fsf@HIDDEN>
 <3168c07b-7b1e-de61-8a3b-5272af17ace8@HIDDEN>
 <m236343r36.fsf@HIDDEN>
 <66ad5838-0593-f839-f012-9e07cfb61096@HIDDEN>
Date: Tue, 29 Sep 2020 21:10:20 +0530
In-Reply-To: <66ad5838-0593-f839-f012-9e07cfb61096@HIDDEN> (Dmitry Gutov's
 message of "Tue, 29 Sep 2020 14:25:52 +0300")
Message-ID: <m2r1qk1ti3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 43580
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Tue, Sep 29 2020, Dmitry Gutov wrote:

>> Okay. Got this defun on 'master' branch. But I was looking in
>> 'emacs-27' because the bug was found in 'emacs-27'. So there is
>> something else that needs to be fixed. This function
>> 'project-remember-project' is there not on 'emacs-27'.
>
> It can only be fixed on the Emacs master branch. But new ELPA released
> are packages from that branch. So we fix it on master, you install the
> latest version of project.el from ELPA, and enjoy the results.

Sure. Thanks. Will do so.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 29 Sep 2020 11:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 07:26:02 2020
Received: from localhost ([127.0.0.1]:55050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNDli-0002Qr-BR
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 07:26:02 -0400
Received: from mail-ed1-f44.google.com ([209.85.208.44]:42364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kNDlg-0002QO-Ri
 for 43580 <at> debbugs.gnu.org; Tue, 29 Sep 2020 07:26:01 -0400
Received: by mail-ed1-f44.google.com with SMTP id j2so5916473eds.9
 for <43580 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 04:26:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=/h/7O8JYlF1HaP+CBWlq3h82o9+SELqCIZRYH9/82pE=;
 b=N8mduR4S3z8lnRgKvU5ozcBxEbu2bvhkOIeiU5uE7/6ZzMZi+Ua31IamcyqNTbVbOU
 HscqZE4ylcSpeXRa8+QMglknFJYMplnn3a02BEzquRdzyDXx4OAFEVB7k2gcYNaSyXXV
 uCA768HKPREX+i4xcc/4EvIBVNz26lXKL1JipnkRF9IxyX8hEU6RykgJvfO68fNG0uHm
 /tQ0cQbkPzOMmgJKFalfCiAVQCsjKXYcwQ/xWYuRDRpe67xpfhV+nMq0J7F7Neb/YEcf
 FzhqTLLRZ/uT4w6E7ub3AgIBORLVUlq5CpwbDSpztvXRlWg+brtkxUMARncUlE664b8S
 zSwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=/h/7O8JYlF1HaP+CBWlq3h82o9+SELqCIZRYH9/82pE=;
 b=oKonxXpzU+TVxlapLc46WcrCaMCFI6p2NR6hRMV6RPBJEXqfKFcnjUf93na/4iXEW6
 DYrNaPZOIHS4vp4iq0648kCyTsMSEEtEEhcq3SQkJSHzKfC8bxUXBC7uwjlqmOv5E7fg
 zxWOroP7ZnZDTRsVv97vEew5kWvWIVNDZs4HwAHsqgFLKIhA+W9AME9kiPjpqbk9G0Gb
 4SmJUhMjJCvkucHX2dOcIOZtANSpsajz64J7wgGbAXtzrwbK1SsYuHaInTEE4LwcoNpb
 lTdxfK1uuiAkTpjDzprTADfOwU7V+BD3OnoGkId/fxkv39bLNN304TVcXcs95ZN7vHV6
 tkgA==
X-Gm-Message-State: AOAM533cnNbObDn4uZ4skrJhrF8nE5yWHMonKif+dWrBOGPFuRNwfmmx
 VO/s2YN/jWYeX9iWp7rlCcZPfj7+E4rDYA==
X-Google-Smtp-Source: ABdhPJzemtiLRPzJaA1pumg+sO3UKgGyH7RCBuxVCfnqp3mml68shmA84Ada9oaYI+vVwWRCif21PQ==
X-Received: by 2002:aa7:c504:: with SMTP id o4mr2793990edq.82.1601378754790;
 Tue, 29 Sep 2020 04:25:54 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id
 rl14sm5048276ejb.109.2020.09.29.04.25.53
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 29 Sep 2020 04:25:54 -0700 (PDT)
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
To: Pankaj Jangid <pankaj@HIDDEN>
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
 <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
 <m236347mja.fsf@HIDDEN>
 <3168c07b-7b1e-de61-8a3b-5272af17ace8@HIDDEN>
 <m236343r36.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <66ad5838-0593-f839-f012-9e07cfb61096@HIDDEN>
Date: Tue, 29 Sep 2020 14:25:52 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <m236343r36.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 43580
Cc: 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

On 27.09.2020 05:12, Pankaj Jangid wrote:
> On Sat, Sep 26 2020, Dmitry Gutov wrote:
> 
>>> Where is this located? I tried to grep through the 'lisp' and 'src'
>>> directories.
>>
>> Inside lisp/progmodes/project.el. In Emacs' master branch, of course.
>>
>> Or if you installed project.el from GNU ELPA, it will be in your
>> ~/.emacs.d/elpa directory.
> 
> Okay. Got this defun on 'master' branch. But I was looking in 'emacs-27'
> because the bug was found in 'emacs-27'. So there is something else that
> needs to be fixed. This function 'project-remember-project' is there not
> on 'emacs-27'.

It can only be fixed on the Emacs master branch. But new ELPA released 
are packages from that branch. So we fix it on master, you install the 
latest version of project.el from ELPA, and enjoy the results.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 27 Sep 2020 02:13:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 22:13:00 2020
Received: from localhost ([127.0.0.1]:48099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMMBP-0003cr-Cb
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 22:13:00 -0400
Received: from mail-pj1-f49.google.com ([209.85.216.49]:52961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kMMBL-0003cc-TJ
 for 43580 <at> debbugs.gnu.org; Sat, 26 Sep 2020 22:12:57 -0400
Received: by mail-pj1-f49.google.com with SMTP id bw23so1570869pjb.2
 for <43580 <at> debbugs.gnu.org>; Sat, 26 Sep 2020 19:12:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xZ7UJ66NVLz7ysKBfVuHQc+Qm+HM18kpqMJNX1dqd1c=;
 b=khaP1hja5r1uSILdX5MabowA7UKE83HO4Lzk0g0G5Y7kSNeydtbzR5GMWyGJ2tzJJ8
 Orqqy4pXrjjqgHhn6/G39L0JX8d+OZtrlHPsek1Y9CjDKOTHrIwWWhHabQuWIbHkE2Gl
 qohmIvDaF43MAdhDaOwbMCNyN1Uj9c5MF00QGPYM+TpS8RUz1qFfSNPlawhbLAnwQk4q
 bTrVBswJYguYPN+pP0WAClmXeCMS8vnJuwzrL+AA4xUeyJ3t0gYbM+afecPisZhtT1Vt
 de6A1M5M8WWuCzD1+z75OXZpfOcQOWGxHyFHR/mZy3g9qsHRoclzaGNSjBQzj09dW79o
 lYZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=xZ7UJ66NVLz7ysKBfVuHQc+Qm+HM18kpqMJNX1dqd1c=;
 b=sAyQ6m/6C7oJh6Q7HHxUnpxK/cSCVfAfIe4EIg5u6Sv40DHFdOmNykZEHHbWU5+VzN
 gKhApXWjY8wGnrG094rpx3ICnKepq4/dX0Lk/+AONQEYvfTsixBA6ygqUl54iIPHiu6Q
 NUBqJpbwxPmHfWNuQs8Wc5J+3N23eLuqM6Bv3f3NZTeSk9lBscbyJRjurb649p3sbcpA
 jIntZFOyBDZY5uSBImFbvxZF2quulWchWxV0AgcPnwazW4dvm/JDaMWUHoKHPomwWBo5
 Y7f0vUkBFcolpUTH0b0Y1f0TwIqBWgqFCzhltc3nySiNHAG3WH//YEzmM65r2wI+ZVi+
 yU5A==
X-Gm-Message-State: AOAM531eQL4yHEscPEhduSUPad53Z1QexZAjcYztvJ2hI+mFsYMLQ3fp
 D7czbrs3yYxZVBzBWEuNgRq7ziR5b1QRAg==
X-Google-Smtp-Source: ABdhPJy2HZBgU79LOqWX10SB/FZEOJQF51kZ7q++64UfhglZj4SDowbyAHCFoslUBF1xR4MobwYpPA==
X-Received: by 2002:a17:90a:ff92:: with SMTP id
 hf18mr4037843pjb.51.1601172769925; 
 Sat, 26 Sep 2020 19:12:49 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:a072:3199:d175:bd7c])
 by smtp.gmail.com with ESMTPSA id v21sm5901700pgl.39.2020.09.26.19.12.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 26 Sep 2020 19:12:49 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
Organization: Code Is Great Foundation
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
 <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
 <m236347mja.fsf@HIDDEN>
 <3168c07b-7b1e-de61-8a3b-5272af17ace8@HIDDEN>
X-Face: #1mZPTdyZkzei|Hk$MhE?f(3T[Uxh9MW'Ewn610"\p9Q@7LjiO{4>uH&z3p'6Y?_,
 h)GQ'Y
 A; .i)[28BKd`Ton]]cOd|#isdz)&E!jRx@DX8N/*63[|x&JqwC,AmukEFVvt&AA*2H..Z'wxqs([H>
 kb<MsYa; *Wdb-?{5R-ZDRMeEF&_C_)Q+R]#YkCWP=XJ^S/~3#O{bJ/4A,aJIo-b,8v>p(Q/\fTwAm%
 !C}\xG0DS7(DaXPynsU3VED[SbY_:*`C`U'@; vp[YQ6I\#>E/slE#fLI4ap(^kS<VG}N(._h>LS\*/
 ]XNNMD6#b9KK\|:=(=DFek9%)L-ZTg3n#$0B
Date: Sun, 27 Sep 2020 07:42:45 +0530
In-Reply-To: <3168c07b-7b1e-de61-8a3b-5272af17ace8@HIDDEN> (Dmitry Gutov's
 message of "Sat, 26 Sep 2020 22:45:22 +0300")
Message-ID: <m236343r36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 43580
Cc: Eli Zaretskii <eliz@HIDDEN>, Pankaj Jangid <pankaj@HIDDEN>,
 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Sep 26 2020, Dmitry Gutov wrote:

>> Where is this located? I tried to grep through the 'lisp' and 'src'
>> directories.
>
> Inside lisp/progmodes/project.el. In Emacs' master branch, of course.
>
> Or if you installed project.el from GNU ELPA, it will be in your
> ~/.emacs.d/elpa directory.

Okay. Got this defun on 'master' branch. But I was looking in 'emacs-27'
because the bug was found in 'emacs-27'. So there is something else that
needs to be fixed. This function 'project-remember-project' is there not
on 'emacs-27'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 26 Sep 2020 19:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 15:45:31 2020
Received: from localhost ([127.0.0.1]:47788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMG8R-0006vT-BY
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:45:31 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:45697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kMG8P-0006vE-P8
 for 43580 <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:45:30 -0400
Received: by mail-wr1-f44.google.com with SMTP id x14so7469848wrl.12
 for <43580 <at> debbugs.gnu.org>; Sat, 26 Sep 2020 12:45:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=s4WRN6JM5mVBhdAI/ZpbpDO2nf66aoV9faqswm3mDBs=;
 b=JceEkHtrp3WNG4qG+yxe6KfGszrn2YTBhVWK6hjj0OudZvs+JkuuYsWrJYiEKlq/xG
 27FlI5mdNGLFrqJn4CfNCbuW3pzK3KFrn66Dj2LqgrZHXKZdFasb/gkk6JqB5uj9W31U
 4ovRROON+oh/uEs0419EqW4C+3w/5ksDvv+Az58BKq2JLxFh5oMjmDAYrYE3KQJQrQcd
 wDC9SlWs38nL4CYl9Sbmv3Wfkj0GJX1pSJ6xkLn0Ef4w3/07ciVHJHVY2qJeIEkTp1Q+
 p11wzDm+h1Hez4lnfPE+FinLsFIischvKschN4QpRswspOKXCmFwjVgh7+8kqWL6byIn
 gW3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=s4WRN6JM5mVBhdAI/ZpbpDO2nf66aoV9faqswm3mDBs=;
 b=GFH9gz5oQXmEwlNUoYjwbnwqZQLkUF4U3qESjyKfYHWM8JVsNi6iNPLPZdp1XXUk4C
 /FJoo7pQhQdi4IHV8rfi6PzOKA12d4exfiG84l1/qj0PmqZoQbObuESmzkh2tkI7AQHu
 E4nX1ib+IV252acJpiL4ruOn9hpz/ltSRwQQ5bjYSpamm/zUUrCQ4wl/D7lEmf5APjhL
 QGc2jU3xb2Qqs0Zm8gL5QI4HhbkJojKKXsm3ClwoWojjvIL3/4wQW4ASFQqrbtXpu0Hs
 t4QlUU26BQfaqKuKtlMVhICvlYTZIP/8ERRox/SQjslSOTPzlHRTprfdQ81URJgspu89
 vm8Q==
X-Gm-Message-State: AOAM533j+cOrHi/kCis8SLid/89LVpdJv3ExTGkXQ1GMNAxoqAeZLay+
 Dmryv29j+AbleCk1TlR8+LOnawvLGqCZLA==
X-Google-Smtp-Source: ABdhPJxdTnZcIlJSCq6shZ+ipSnCmErsa+qdhQb33PI6v7jm5QjRJzg+caXs2vb1BSczPq+jR1irUw==
X-Received: by 2002:adf:f6c8:: with SMTP id y8mr11322134wrp.217.1601149523914; 
 Sat, 26 Sep 2020 12:45:23 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id v128sm3557523wme.2.2020.09.26.12.45.22
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 26 Sep 2020 12:45:23 -0700 (PDT)
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
To: Pankaj Jangid <pankaj@HIDDEN>
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
 <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
 <m236347mja.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3168c07b-7b1e-de61-8a3b-5272af17ace8@HIDDEN>
Date: Sat, 26 Sep 2020 22:45:22 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <m236347mja.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43580
Cc: Eli Zaretskii <eliz@HIDDEN>, 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 26.09.2020 15:25, Pankaj Jangid wrote:
> Where is this located? I tried to grep through the 'lisp' and 'src'
> directories.

Inside lisp/progmodes/project.el. In Emacs' master branch, of course.

Or if you installed project.el from GNU ELPA, it will be in your 
~/.emacs.d/elpa directory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 26 Sep 2020 12:25:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 08:25:27 2020
Received: from localhost ([127.0.0.1]:46006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kM9GY-0002GJ-S7
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 08:25:27 -0400
Received: from mail-pj1-f48.google.com ([209.85.216.48]:51866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kM9GV-0002G5-Nu
 for 43580 <at> debbugs.gnu.org; Sat, 26 Sep 2020 08:25:24 -0400
Received: by mail-pj1-f48.google.com with SMTP id a9so919409pjg.1
 for <43580 <at> debbugs.gnu.org>; Sat, 26 Sep 2020 05:25:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=r/kUQddoLindz4cf3rbkfE0L+GcuQVusTXq3pDX++dM=;
 b=AoZUBNtpy4/d070j8XEJ76hAVnbIScWzcIt307U/kUOgHtls9kUSTsuRGIJ/MPA4zK
 LsPXJuTFUhgC6r5o+rmqnSCwJJCmI42xD8KRaDT/7crlyDDcgle3RABJrXI1zmA6xvsY
 5nkL/nqbtUNkpjCPRL45lbsgpmM2FLxIRYsF1GozszXciiN1/ICGKS2S9QSZw4N0AXXi
 kghAQ1OuPVpCmWQ4EhQqN+6UmMubqrggZd75VhIPqTXlDEDO5+xrB8RLK5oaq5VUFO7G
 zriLvPYuvLFbmebKqALA99yn6zDqx1dcjInABkMQ007iPLkEm3Vp0YZOn+JtM8U6GWrS
 26lw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=r/kUQddoLindz4cf3rbkfE0L+GcuQVusTXq3pDX++dM=;
 b=GW0Ozpht0aZLK7OCP0pEEHDpivYiurHongYEfnYoFyIqaSCSx5Tal0Cul+ouMRnCa7
 Zttl3CXNYUjNXUKZP9Opx1o2xsn2XIl4Kfb23pGofxrntKNsznOByN2+DiaTBcxvaI0g
 fOJulnD7eQEJnNiZdBOGnKnto+uFnQkMUohxsG090dvMaSJb/p/zbDZ4Idpqj8meOJf2
 QWsHGuK0ZM629be0uJntwKn1EkT6mAZc0LIbAr26Q1AncwBf14bW2LAjQ4b3+uqlwjC6
 fBpgSnhlKrojst74saXjMJxxXaZUHZpEOYBPOv9MbwNX5kY5/BMp0hJMATS97jIafnly
 rSUg==
X-Gm-Message-State: AOAM530uIH1Er1vyen69yF3bK5c00rgj7H9/cPhqUQamvBybNRpWw74Y
 00Bo+nuXPQnk9PH7zdrDrz95nIqkkw8X4Q==
X-Google-Smtp-Source: ABdhPJwRqwG6ci1F1EfqjlHz4p3vIOfDGVzF+0DMKwQA3h2jGF0vRaXvhcToyzX5WZg9zNoV3W5I4Q==
X-Received: by 2002:a17:902:bb91:b029:d2:5685:aead with SMTP id
 m17-20020a170902bb91b02900d25685aeadmr3683862pls.23.1601123117716; 
 Sat, 26 Sep 2020 05:25:17 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:a072:3199:d175:bd7c])
 by smtp.gmail.com with ESMTPSA id j144sm5749349pfd.106.2020.09.26.05.25.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 26 Sep 2020 05:25:17 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
Organization: Code Is Great Foundation
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
 <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
X-Face: #1mZPTdyZkzei|Hk$MhE?f(3T[Uxh9MW'Ewn610"\p9Q@7LjiO{4>uH&z3p'6Y?_,
 h)GQ'Y
 A; .i)[28BKd`Ton]]cOd|#isdz)&E!jRx@DX8N/*63[|x&JqwC,AmukEFVvt&AA*2H..Z'wxqs([H>
 kb<MsYa; *Wdb-?{5R-ZDRMeEF&_C_)Q+R]#YkCWP=XJ^S/~3#O{bJ/4A,aJIo-b,8v>p(Q/\fTwAm%
 !C}\xG0DS7(DaXPynsU3VED[SbY_:*`C`U'@; vp[YQ6I\#>E/slE#fLI4ap(^kS<VG}N(._h>LS\*/
 ]XNNMD6#b9KK\|:=(=DFek9%)L-ZTg3n#$0B
Date: Sat, 26 Sep 2020 17:55:13 +0530
In-Reply-To: <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN> (Dmitry Gutov's
 message of "Wed, 23 Sep 2020 23:05:32 +0300")
Message-ID: <m236347mja.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 43580
Cc: Eli Zaretskii <eliz@HIDDEN>, Pankaj Jangid <pankaj@HIDDEN>,
 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Sep 23 2020, Dmitry Gutov wrote:

>> OK, thanks.  That probably means we should call abbreviate-file-name
>> somewhere...
>
> In project-remember-project, perhaps.

Where is this located? I tried to grep through the 'lisp' and 'src'
directories.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 23 Sep 2020 20:05:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 16:05:42 2020
Received: from localhost ([127.0.0.1]:37975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLB1K-0000oB-ME
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 16:05:42 -0400
Received: from mail-lj1-f182.google.com ([209.85.208.182]:44342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kLB1I-0000ns-Ht
 for 43580 <at> debbugs.gnu.org; Wed, 23 Sep 2020 16:05:41 -0400
Received: by mail-lj1-f182.google.com with SMTP id b19so673683lji.11
 for <43580 <at> debbugs.gnu.org>; Wed, 23 Sep 2020 13:05:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=DqOR3A5ydo9gmmi7kpsmAJWKUK/rbrv5OjUSCKorQmo=;
 b=jbZVrZls18+QbGt/Z4a9r83xp/ct5OQsbtkSImx54vitMN5oWirUXRM1+cx9NYdw66
 qgJYX3x2MHy6x7ErU2EINdaJZLUN1uSJ+Bx3/CmKenFtF0h44FAwTPh8asQQWbZf/Q+w
 gWPEQ3UBxvvZ+zg5P20u61/YEn1h1+c26HEz6yeCxqEK7dT6qDbdeizzrNhUkmAGcquM
 xkSnVtDHyTUfHxySBidwR4FDr1hWE6gpJmyatt6D6ZkxtZL9LjzM23iBJ3P6ayT79f1h
 aZUsbi2UzyvqRR9ikBuPleyi7go9RaYcAhHP2yizkbLbdP/NSBmcVLXEYQo4U6zMK4R/
 +cFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=DqOR3A5ydo9gmmi7kpsmAJWKUK/rbrv5OjUSCKorQmo=;
 b=cU+/hJYmCpRjgpM6lRANAWsv3LiTyMLbmXmyXu4d+7exx5db/t2I6GTmW/F0ilfeAY
 wKVRo7eJves0Aqf77muwz42yhHOeAXhwfTGUwyMnXcCBo7G95EQLqkhsQLVDbmA2wrKp
 CcqK/fl4IzjtAzwLssJoDUMjlr2fKiPx/F93RdgJxpKzWpN3dRTw7TzHVPqX3M6S62ru
 AODWN7dpgqXG044XUeg1xlUXhlqWCUH6nAgVIqYN2Tb8ECdmG1/HGmWEtiYu5l6nU2YT
 VvCYLcA0EZ2kCZSRdnJE/hJx4f1+WJY/HKAKyHHZKfIbAd6X8P7OjMuyXnqao5vKSNuQ
 NPWA==
X-Gm-Message-State: AOAM531tNH2LDEqImE1FvMRTppfHbDGp117mXwBHPKrbSi/iAJuMDtk/
 7r8CveihMvtIliXOCfhFtfFXNO+XZ4Bpaw==
X-Google-Smtp-Source: ABdhPJz4DZM0VeZv7srY4FUf5ryMBZrCYXO4RZNclq652B/HKSby0TymuLvh3fy6q6IGPnlBe7oFzw==
X-Received: by 2002:a05:651c:203:: with SMTP id y3mr454115ljn.93.1600891533960; 
 Wed, 23 Sep 2020 13:05:33 -0700 (PDT)
Received: from [192.168.0.104] ([94.229.108.16])
 by smtp.googlemail.com with ESMTPSA id d18sm387948lfm.178.2020.09.23.13.05.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 23 Sep 2020 13:05:33 -0700 (PDT)
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
To: Eli Zaretskii <eliz@HIDDEN>, Pankaj Jangid <pankaj@HIDDEN>
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN> <83d02cv0go.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <433aac98-8921-e61c-65f5-40861e4cb33f@HIDDEN>
Date: Wed, 23 Sep 2020 23:05:32 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <83d02cv0go.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43580
Cc: 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 23.09.2020 20:59, Eli Zaretskii wrote:
> OK, thanks.  That probably means we should call abbreviate-file-name
> somewhere...

In project-remember-project, perhaps.

Though it wouldn't help with a pre-existing, saved project list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 23 Sep 2020 17:59:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 13:59:06 2020
Received: from localhost ([127.0.0.1]:37770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kL92o-0004rX-Am
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:59:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kL92l-0004qu-H3
 for 43580 <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:59:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48621)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kL92g-0005Hy-4f; Wed, 23 Sep 2020 13:58:58 -0400
Received: from [176.228.60.248] (port=2632 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kL92e-0002LF-GJ; Wed, 23 Sep 2020 13:58:57 -0400
Date: Wed, 23 Sep 2020 20:59:03 +0300
Message-Id: <83d02cv0go.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
In-Reply-To: <m23638mm8p.fsf@HIDDEN> (message from Pankaj Jangid on
 Wed, 23 Sep 2020 23:03:26 +0530)
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43580
Cc: 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pankaj Jangid <pankaj@HIDDEN>
> Cc: 43580 <at> debbugs.gnu.org
> Date: Wed, 23 Sep 2020 23:03:26 +0530
> 
> On Wed, Sep 23 2020, Eli Zaretskii wrote:
> 
> >> After using for few days, now I have two entries for my Git managed
> >> project emacs.d - (1) ~/.emacs.d and (2) /Users/pankaj/.emacs.d (<- the
> >> macos user-home:-)).
> >
> > Is your home directory, the one where ~ points, indeed /Users/pankaj/?
> >
> 
> Yes. I always use ~ for things relative to my $HOME. And `echo ~` says '/Users/pankaj'

OK, thanks.  That probably means we should call abbreviate-file-name
somewhere...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 23 Sep 2020 17:42:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 13:42:21 2020
Received: from localhost ([127.0.0.1]:37766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kL8ma-0004Ka-Tz
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:42:21 -0400
Received: from mail-pj1-f54.google.com ([209.85.216.54]:51427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kL8mZ-0004KH-1E
 for 43580 <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:42:19 -0400
Received: by mail-pj1-f54.google.com with SMTP id a9so98570pjg.1
 for <43580 <at> debbugs.gnu.org>; Wed, 23 Sep 2020 10:42:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:organization:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=XpIOKMU9TRZUWz5D9edbTduKHZKyzNJrjiYfJBRqI60=;
 b=klQkEweGa38djjnVwiDvrPl0pDeoLasBBC9skMIV7SsOW0wlpmnrj1VerV5q2IIqRx
 rdLNP1Urpt24SmGTMuW8Dq7pO+Qb9TKhtde4OoZvjO5WPD47T7UoaGRfwGIqAj5G//Dd
 ETvFytKcZBVNCF52sMR+MFL9ekRcvZdiVF2bwhsw0IccvEBfhxzKEpYvc1xEY9P/YtXe
 oWgDiUy+WaRetstWxvy0bGszAirb6YKWeT7mGAZUCLwa57ECshfA4nxZr9B+HgMDRXZz
 rRemS2qIhZDL18UeUGF1aCbEZk4kj/eVKG6FvYCYLBNUNhfnqMlTdnTz7bCJi8II5d+V
 HQmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=XpIOKMU9TRZUWz5D9edbTduKHZKyzNJrjiYfJBRqI60=;
 b=qDGK1iDzjKfMEGcCdMF+033wRZdb5MAD2qw6mDxQdFfpznyu3pvryIccAQfcp996qe
 pIlJOxzpTf3tnMRZ81QJSFigWEfQoc99wdQsfYwpfYvvCGu4RjnsT9U3j3L1vqRWjn/q
 8/HhngPMqmU2FQ3QwxgpArr50Fy2Dh9UP9OY6a0JCkTWXPmyXzA9o6FmcY0Iyqxtn/5I
 9NnjQIOEqC5GJ8OWk2t+gHxhYpGTa/E18VWwDLSrTXeoIqMgsbZE+Fck8XbEP9VG6h+E
 AGIt4HoNPEtdhtFCuvrRimCDVBbBSV5qoJkpth6YbWwbmapdtAs4Oer9MHSZSqkyH8kC
 EAcA==
X-Gm-Message-State: AOAM533KxRlnH0tKgYq9x4BToMxo9HmkzGr1g/JvnH2o1MA2KUU47ZpS
 3pFs76E/Ex46sIpGVcpoqtIfVfceoA==
X-Google-Smtp-Source: ABdhPJxaNxiKPIqJeSGaa7mvebtd7/CGSnnWEWc/jqVZsYPT2B0lIy2hGN+a3DdfV97DV6UtGsyDUw==
X-Received: by 2002:a17:90a:d704:: with SMTP id
 y4mr448636pju.159.1600882932613; 
 Wed, 23 Sep 2020 10:42:12 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:a86f:4b09:973a:3477])
 by smtp.gmail.com with ESMTPSA id v205sm315626pfc.110.2020.09.23.10.42.11
 for <43580 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 23 Sep 2020 10:42:12 -0700 (PDT)
From: Pankaj Jangid <pankaj.jangid@HIDDEN>
X-Google-Original-From: Pankaj Jangid <pankaj@HIDDEN>
To: 43580 <at> debbugs.gnu.org
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
Organization: Vasudhaiv Kutumbakam
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
 <m23638mm8p.fsf@HIDDEN>
X-Face: #1mZPTdyZkzei|Hk$MhE?f(3T[Uxh9MW'Ewn610"\p9Q@7LjiO{4>uH&z3p'6Y?_,
 h)GQ'Y
 A; .i)[28BKd`Ton]]cOd|#isdz)&E!jRx@DX8N/*63[|x&JqwC,AmukEFVvt&AA*2H..Z'wxqs([H>
 kb<MsYa; *Wdb-?{5R-ZDRMeEF&_C_)Q+R]#YkCWP=XJ^S/~3#O{bJ/4A,aJIo-b,8v>p(Q/\fTwAm%
 !C}\xG0DS7(DaXPynsU3VED[SbY_:*`C`U'@; vp[YQ6I\#>E/slE#fLI4ap(^kS<VG}N(._h>LS\*/
 ]XNNMD6#b9KK\|:=(=DFek9%)L-ZTg3n#$0B
Date: Wed, 23 Sep 2020 23:12:09 +0530
In-Reply-To: <m23638mm8p.fsf@HIDDEN> (Pankaj Jangid's message of
 "Wed, 23 Sep 2020 23:03:26 +0530")
Message-ID: <m2y2l0l79q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43580
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Not only ~/.emacs.d, I have duplicate entries for one more project - one
with ~ and one with full path /User/...





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 23 Sep 2020 17:33:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 13:33:38 2020
Received: from localhost ([127.0.0.1]:37747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kL8eA-00042K-59
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:33:38 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:37269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kL8e8-000421-8z
 for 43580 <at> debbugs.gnu.org; Wed, 23 Sep 2020 13:33:36 -0400
Received: by mail-pl1-f177.google.com with SMTP id u4so82827plr.4
 for <43580 <at> debbugs.gnu.org>; Wed, 23 Sep 2020 10:33:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yOp2TVqOKDqE9jkmcvUtWk0qEs2HqNCWtalxmn4GkJU=;
 b=l8S3Iah0ySTGgWXjQIhfM+5+qf087VVXQDoM9i+mpOEdVUA49W1t9pwTLtHVeDq7yl
 9obFoYTYTuMKJ2wYHrVrUdD+0L1KDpUyPnPlNApDLW4lI7Hsfd721nLo33dKEhXbk87y
 0PDhzpyMUY/8gXSwqAVZ73FRWKKYEIAQFbcmGxDXv77s01rowDf3mSwLT2/hM6QMF2Sh
 yDhCd2X63dJ9s0fIOmvUmW1DZVu+U0tpJx5dPdEo8EZKkNF/qf7lukk4NMhWI1WRcr2O
 5e7bJvR509cjF+BuVup79LQMJ5OujIXG/4RFns18JVmmPFUtogKsBtgmOB6ePjA7+Dkj
 x7Vg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=yOp2TVqOKDqE9jkmcvUtWk0qEs2HqNCWtalxmn4GkJU=;
 b=m5tGLWQ68tntQ344OEfVFk/0HseN7jbgrp7oYzbQt4PCH4vutlpur8FiJwxQWXjPgP
 3qX/rkxwd9UrkuEsXaj28P8q6qKNrqWaZQhcSn1FW87iMimo3+9v5ySVQfzOtN1dHPR6
 Y1iIIjCevfjOKAsLFcG0zQk7zCBQj5In8GhaD1jjOng/N6NdRUvRR/T7oDINUEZUPI8Q
 xqM/e52lJs5U9noGMfLBoRUKGdX9zatZVtrKgqTEgvmSk0d6oF5kGsZc0IK/l7ULbcpP
 sOnRxaWCpqSaUzjLmje7MMDCteRUdMBR+a6SplMdk1Fbum7QhPPpf71JtcT3T8SBCZss
 KfIw==
X-Gm-Message-State: AOAM5312x5tOfTEwtCAqgTWyUT5n6OXvY23y2IAkWPuX2KsfN+a62VA/
 Kbm9cu/WUUvs4M68eO+8nR3MNmAeSZuEZA==
X-Google-Smtp-Source: ABdhPJzGssc61ns9RZnvgKOd5FU8o+lPI6vnDrXRCJjVNGjbRWk/uag1VgLyPZ7LHucMA5B/i59ABA==
X-Received: by 2002:a17:902:784d:b029:d1:e7cf:83e6 with SMTP id
 e13-20020a170902784db02900d1e7cf83e6mr783498pln.63.1600882410071; 
 Wed, 23 Sep 2020 10:33:30 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:a86f:4b09:973a:3477])
 by smtp.gmail.com with ESMTPSA id a27sm308303pfk.52.2020.09.23.10.33.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 23 Sep 2020 10:33:29 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43580: 27.1.50; Multiple path resolutions in
 ~/.emacs.d/projects for the same project
Organization: Code Is Great Foundation
References: <m27dskmq9h.fsf@HIDDEN> <83eemsv422.fsf@HIDDEN>
X-Face: #1mZPTdyZkzei|Hk$MhE?f(3T[Uxh9MW'Ewn610"\p9Q@7LjiO{4>uH&z3p'6Y?_,
 h)GQ'Y
 A; .i)[28BKd`Ton]]cOd|#isdz)&E!jRx@DX8N/*63[|x&JqwC,AmukEFVvt&AA*2H..Z'wxqs([H>
 kb<MsYa; *Wdb-?{5R-ZDRMeEF&_C_)Q+R]#YkCWP=XJ^S/~3#O{bJ/4A,aJIo-b,8v>p(Q/\fTwAm%
 !C}\xG0DS7(DaXPynsU3VED[SbY_:*`C`U'@; vp[YQ6I\#>E/slE#fLI4ap(^kS<VG}N(._h>LS\*/
 ]XNNMD6#b9KK\|:=(=DFek9%)L-ZTg3n#$0B
Date: Wed, 23 Sep 2020 23:03:26 +0530
In-Reply-To: <83eemsv422.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 23 Sep
 2020 19:41:25 +0300")
Message-ID: <m23638mm8p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 43580
Cc: 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Sep 23 2020, Eli Zaretskii wrote:

>> After using for few days, now I have two entries for my Git managed
>> project emacs.d - (1) ~/.emacs.d and (2) /Users/pankaj/.emacs.d (<- the
>> macos user-home:-)).
>
> Is your home directory, the one where ~ points, indeed /Users/pankaj/?
>

Yes. I always use ~ for things relative to my $HOME. And `echo ~` says '/Users/pankaj'




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at 43580 <at> debbugs.gnu.org:


Received: (at 43580) by debbugs.gnu.org; 23 Sep 2020 16:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 12:41:29 2020
Received: from localhost ([127.0.0.1]:37664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kL7ph-0002BX-5F
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 12:41:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kL7pf-0002BI-SM
 for 43580 <at> debbugs.gnu.org; Wed, 23 Sep 2020 12:41:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47630)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kL7pa-0003uP-6E; Wed, 23 Sep 2020 12:41:22 -0400
Received: from [176.228.60.248] (port=1860 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kL7pX-00067g-56; Wed, 23 Sep 2020 12:41:20 -0400
Date: Wed, 23 Sep 2020 19:41:25 +0300
Message-Id: <83eemsv422.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
In-Reply-To: <m27dskmq9h.fsf@HIDDEN> (message from Pankaj Jangid on Wed, 23
 Sep 2020 21:36:34 +0530)
Subject: Re: bug#43580: 27.1.50;
 Multiple path resolutions in ~/.emacs.d/projects for the same project
References: <m27dskmq9h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43580
Cc: 43580 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pankaj Jangid <pankaj@HIDDEN>
> Date: Wed, 23 Sep 2020 21:36:34 +0530
> 
> After using for few days, now I have two entries for my Git managed
> project emacs.d - (1) ~/.emacs.d and (2) /Users/pankaj/.emacs.d (<- the
> macos user-home:-)).

Is your home directory, the one where ~ points, indeed /Users/pankaj/?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2020 16:26:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 12:26:45 2020
Received: from localhost ([127.0.0.1]:37638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kL7bR-0001fP-8W
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 12:26:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:59166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kL7I2-0000wa-R1
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2020 12:06:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46088)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kL7I2-0007gU-Bv
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2020 12:06:42 -0400
Received: from mail-pl1-x630.google.com ([2607:f8b0:4864:20::630]:44235)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kL7I0-0005Ml-4W
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2020 12:06:42 -0400
Received: by mail-pl1-x630.google.com with SMTP id j7so7082665plk.11
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Sep 2020 09:06:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:mail-followup-to:date:message-id:mime-version;
 bh=XQ5/yDzKqIn+MfEcXOe28ohe9574ERtxEUOGuUxfIhI=;
 b=b235UZpk1GDyTVZfuY+MmYlDDtmZVsTp4DvbGSQE8NMdK4igcbiRqYIcMVnqXavF7K
 Kj2Oeny+7/2ZZAkx6MbvXMPACGMLCd97wdJbqayv29mxYOTC5W+ngz6WjuwTYDl3RofG
 uS6cIjHHD9kr2RpBkxcKWmtPfjVvaN+PvXYciLsQJhDhdk51sLFo6JDawiQfKHNyWyeg
 qUuCYXzGn7mpbjFh3+fas5/qAArYyo19veZMcsxBHg9zsuwtn8UQcPUzXNox4mj33q+u
 qX2heezM1TwuO5bGo5LDLWpq24Z9YTkimLPC5DDuyxeCR/jY3yEga7GGFhyxt3snPOrO
 LQhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:mail-followup-to:date:message-id
 :mime-version;
 bh=XQ5/yDzKqIn+MfEcXOe28ohe9574ERtxEUOGuUxfIhI=;
 b=tBu8RuC1f0p4aat8S9E4MgoGy1JMuoGf1XpJtOmV8lkDbUWzgyKEJob8bCjNwxHUEn
 TV57qwe+8x071HzaAuEb/yNh2PHe//ty/wJpt3IdPTIpNWJbB4xW6UhnEBDnWTo/UQEY
 Qd4Th22dA42oGOroHTYW5cdoEHjccGfIohk5FHLua8cIIqu5LZMKQ/wSqYMPEvixXruX
 pO6WFCqTlx0VSgD23k06oC09JBeREZIoaTRPhquvTIAqV/I3zK/iDcO+eDVLo/0pcZJC
 Til3cCaZzAoaDkSkmDLn2odVzDeXWBIe9kxFpxYs0yQLwy419fsiCvfY4f+xqvdH6pzp
 yfyQ==
X-Gm-Message-State: AOAM5301pnhaweAZtEWnN2bV5LYJKBXpksIZhbI6SpzXvjjbcO9Fj3qH
 h9Y6nQzK48kItfdqA9b7Z57dQLkqQ6rcBw==
X-Google-Smtp-Source: ABdhPJz7NS7cK53yz4cDDTFz3d32qa9zjpqj+Yao83NmtDsPY/Nd1FJtwCpZCzM2mGedGRGHqNA7Jg==
X-Received: by 2002:a17:90b:f14:: with SMTP id
 br20mr145437pjb.24.1600877197724; 
 Wed, 23 Sep 2020 09:06:37 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:a86f:4b09:973a:3477])
 by smtp.gmail.com with ESMTPSA id z7sm330716pgc.35.2020.09.23.09.06.36
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 23 Sep 2020 09:06:37 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1.50; Multiple path resolutions in ~/.emacs.d/projects for the
 same project
Mail-Followup-To: bug-gnu-emacs@HIDDEN
Date: Wed, 23 Sep 2020 21:36:34 +0530
Message-ID: <m27dskmq9h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2607:f8b0:4864:20::630;
 envelope-from=pankaj.jangid@HIDDEN; helo=mail-pl1-x630.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 23 Sep 2020 12:26:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


After using for few days, now I have two entries for my Git managed
project emacs.d - (1) ~/.emacs.d and (2) /Users/pankaj/.emacs.d (<- the
macos user-home:-)).

This makes it annoying when I do project-find-file (C-x p f). There are
duplicate entries to select.


In GNU Emacs 27.1.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G2021))
 of 2020-09-22 built on BigBook.local
Repository revision: 02a31c9632693b882e46b6dbdd2653297bbfdead
Repository branch: emacs-27
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.6

Recent messages:
No more unseen articles
No more unread articles
Expiring articles...done
Mark set
Are you sure you want to quit reading news? (y or n) y
Saving /Users/pankaj/.newsrc.eld...
Saving file /Users/pankaj/.newsrc.eld...
Wrote /Users/pankaj/.newsrc.eld
Saving /Users/pankaj/.newsrc.eld...done
Making completion list...

Configured features:
RSVG DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: JavaScript

Minor modes in effect:
  global-magit-file-mode: t
  magit-file-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  display-line-numbers-mode: t
  electric-pair-mode: t
  show-paren-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  semantic-idle-scheduler-mode: t
  semantic-mode: t
  company-mode: t
  eglot--managed-mode: t
  recentf-mode: t
  icomplete-mode: t
  which-key-mode: t
  flymake-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t
  hs-minor-mode: t

Load-path shadows:
/Users/pankaj/.emacs.d/elpa/xref-1.0.3/xref hides /Applications/Emacs.app/Contents/Resources/lisp/progmodes/xref
/Users/pankaj/.emacs.d/elpa/project-0.5.2/project hides /Applications/Emacs.app/Contents/Resources/lisp/progmodes/project
/Users/pankaj/.emacs.d/elpa/flymake-1.0.9/flymake hides /Applications/Emacs.app/Contents/Resources/lisp/progmodes/flymake
/Users/pankaj/.emacs.d/elpa/eldoc-1.10.0/eldoc hides /Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eldoc

Features:
(shadow emacsbug gnus-icalendar org-capture icalendar diary-lib
diary-loaddefs reveal ob-C ob-python org-element avl-tree ol-eww
ol-rmail ol-mhe ol-irc ol-info ol-gnus ol-docview doc-view image-mode
exif ol-bibtex bibtex ol-bbdb ol-w3m bug-reference magit-extras
face-remap magit-submodule magit-obsolete magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit magit-repos magit-apply magit-wip magit-log
which-func magit-diff smerge-mode diff magit-core magit-autorevert
autorevert magit-margin magit-transient magit-process magit-mode
git-commit transient magit-git magit-section log-edit pcvs-util add-log
with-editor async-bytecomp async shell sh-script executable css-mode
smie eww mm-url url-queue semantic/tag-write markdown-mode rx
magit-utils crm dash flow-fill shr-color color qp smiley gnus-bcklg
gnus-async vc-mtn vc-hg mailalias smtpmail sendmail sort gnus-cite
mail-extr nnir gnus-ml disp-table gnus-topic pop3 nndraft nnmh utf-7
nnml nnfolder epa-file gnus-agent gnus-srvr gnus-score score-mode
nnvirtual nntp gnus-cache .gnus gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum shr svg xml gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time iso8601
gnus-spec gnus-int gnus-range gnus-win gnus nnheader vtl cl autoload
mm-archive gnutls network-stream url-http url-gw nsm url-cache url-auth
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf mailcap finder-inf ibuf-ext ibuffer ibuffer-loaddefs
semantic/decorate/mode semantic/decorate pulse semantic/db-find
semantic/db-ref semantic/db-file data-debug cedet-files
semantic/wisent/javascript-jv semantic/wisent/js-wy semantic/wisent
semantic/wisent/wisent semantic/java semantic/doc company-oddmuse
company-keywords company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb conf-mode misearch multi-isearch rng-xsd xsd-regexp
rng-cmpct rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse
rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode nxml-outln
nxml-rap sgml-mode dom nxml-util nxml-enc xmltok eieio-opt jka-compr
vc-annotate vc-dir vc-filewise two-column iso-transl vc-git diff-mode
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs vc vc-dispatcher cl-extra
cl-print ede/config ede/custom ede/proj-archive ede/proj-aux
ede/proj-elisp ede/pconf ede/proj-info ede/proj-misc ede/proj-shared
ede/proj-prog ede/pmake ede/proj-obj ede/proj ede/make ede/proj-comp
ede/autoconf-edit autoconf autoconf-mode ede/speedbar ede/files ede
ede/detect ede/base ede/auto ede/source eieio-speedbar semantic/sb
speedbar sb-image dframe eieio-custom help-fns radix-tree checkdoc
lisp-mnt display-line-numbers elec-pair paren hideshow semantic/db-mode
semantic/idle semantic/analyze semantic/sort semantic/scope
semantic/analyze/fcn semantic/db eieio-base semantic/format ezimage
semantic/tag-ls semantic/find semantic/ctxt semantic/util-modes
semantic/util semantic semantic/tag semantic/lex semantic/fw mode-local
cedet init server init-java init-kotlin init-javascript company js
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs eglot array filenotify jsonrpc ert ewoc debug backtrace
help-mode xref pcase url-util project imenu init-elisp init-keys
init-modeline init-looks init-speedbar init-recentf recentf tree-widget
wid-edit init-date-time solar cal-dst init-crypto init-browser
init-icomplete icomplete init-which-key which-key init-magit
init-flymake flymake-proc flymake compile warnings init-dired init-org
org-indent org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-loaddefs find-func cal-menu calendar cal-loaddefs org-compat advice
org-macs init-erc erc-auth erc-join erc-goodies erc erc-backend
erc-compat thingatpt pp erc-loaddefs init-email message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader
init-ibuffer edmacro kmacro info early-init package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind kqueue
cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 698877 561490)
 (symbols 48 51137 26)
 (strings 32 206708 88970)
 (string-bytes 1 6312531)
 (vectors 16 85342)
 (vector-slots 8 1539344 98540)
 (floats 8 928 514)
 (intervals 56 21860 7765)
 (buffers 1000 113))

-- 
Pankaj Jangid








Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43580; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Sep 2020 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.